<?xml version="1.0" encoding="utf-8"?>
<LinearLayout  xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:id="@+id/activity_detail"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    tools:context="com.example.lenovo.addressbook.DetailActivity"
    android:orientation="vertical"
    android:baselineAligned="true">
    <RelativeLayout
        android:layout_width="match_parent"
        android:layout_height="82dp"
        android:padding="@dimen/activity_vertical_margin">
        <EditText
            android:id="@+id/DETAILS_name"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:text="谢琛"
            android:layout_centerVertical="true"
            android:textColor="#000"
            android:textSize="25sp"
            android:layout_alignParentEnd="false"
            android:layout_alignParentRight="false"
            android:layout_alignParentStart="true"
            android:layout_alignParentLeft="true"
            android:layout_alignParentTop="false"
            android:editable="true"
            android:clickable="false"
            android:enabled="false"
            android:inputType="text" />
    </RelativeLayout>

    <LinearLayout
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:padding="@dimen/activity_horizontal_margin"
        android:orientation="vertical"
        android:weightSum="1">
    <RelativeLayout
        android:layout_width="match_parent"
        android:layout_height="fill_parent">
        <TextView
            android:id="@+id/DETAILS_phone_label"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:text="电话:"
            android:textColor="#000"
            android:textSize="16sp"
            android:layout_alignParentLeft="false"
            android:layout_alignParentTop="false"
            android:layout_alignParentRight="false"
            android:layout_centerVertical="true" />
        <EditText
            android:id="@+id/DETAILS_phone"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_toRightOf="@+id/DETAILS_phone_label"
            android:layout_marginLeft="@dimen/activity_horizontal_margin"
            android:text="13139668082"
            android:textColor="#9f9f9f"
            android:textSize="16sp"
            android:layout_centerVertical="true"
            android:editable="true"
            android:enabled="false"
            android:clickable="false"
            android:inputType="phone" />
        <ImageButton
            android:layout_width="32sp"
            android:layout_height="32sp"
            android:id="@+id/callButton"
            android:background="@drawable/call"
            android:layout_alignParentEnd="true"
            android:clickable="true"
            android:layout_centerVertical="true"
            android:layout_alignParentRight="true"
            android:focusable="true"
            android:focusableInTouchMode="true" />
    </RelativeLayout>
        <RelativeLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content">
            <TextView
                android:id="@+id/DETAILS_email_label"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:text="邮箱:"
                android:textColor="#000"
                android:textSize="16sp"
                android:layout_centerVertical="true" />
            <EditText
                android:id="@+id/DETAILS_email"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_toRightOf="@+id/DETAILS_email_label"
                android:layout_marginLeft="@dimen/activity_horizontal_margin"
                android:text="1450683110@qq.com"
                android:textColor="#9f9f9f"
                android:textSize="16sp"
                android:clickable="false"
                android:editable="true"
                android:enabled="false"
                android:inputType="textEmailAddress" />

            <ImageButton
                android:layout_width="32sp"
                android:layout_height="32sp"
                android:id="@+id/emailButton"
                android:layout_alignParentRight="true"
                android:layout_alignParentEnd="true"
                android:background="@drawable/email"
                android:clickable="true"
                android:layout_centerVertical="true"
                android:focusable="true"
                android:focusableInTouchMode="true" />
        </RelativeLayout>
    <RelativeLayout
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:layout_marginTop="@dimen/activity_vertical_margin">
        <TextView
            android:id="@+id/DETAILS_weixin_label"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:text="微信:"
            android:textColor="#000"
            android:textSize="16sp"
            android:singleLine="true"
            android:layout_centerVertical="true" />
        <EditText
            android:id="@+id/DETAILS_weixin"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_toRightOf="@+id/DETAILS_weixin_label"
            android:layout_marginLeft="@dimen/activity_horizontal_margin"
            android:text="13139668082"
            android:textColor="#9f9f9f"
            android:textSize="16sp"
            android:inputType="text"
            android:enabled="false"
            android:editable="true"
            android:clickable="false" />
    </RelativeLayout>
        <RelativeLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_marginTop="@dimen/activity_vertical_margin">
            <TextView
                android:id="@+id/DETAILS_qq_label"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:text=" QQ :"
                android:textColor="#000"
                android:textSize="16sp"
                android:singleLine="true"
                android:layout_centerVertical="true" />
            <EditText
                android:id="@+id/DETAILS_qq"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_toRightOf="@+id/DETAILS_qq_label"
                android:layout_marginLeft="@dimen/activity_horizontal_margin"
                android:text="1450683110"
                android:textColor="#9f9f9f"
                android:textSize="16sp"
                android:editable="true"
                android:enabled="false"
                android:clickable="false"
                android:inputType="number" />
        </RelativeLayout>
    <RelativeLayout
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:layout_marginTop="@dimen/activity_vertical_margin">
        <TextView
            android:id="@+id/DETAILS_organization_label"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:text="机构:"
            android:textColor="#000"
            android:textSize="16sp"
            android:singleLine="true"
            android:layout_centerVertical="true" />
        <EditText
            android:id="@+id/DETAILS_organization"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_toRightOf="@+id/DETAILS_organization_label"
            android:layout_marginLeft="@dimen/activity_horizontal_margin"
            android:text="新疆农业大学计算机与信息工程学院"
            android:textColor="#9f9f9f"
            android:textSize="16sp"
            android:inputType="text"
            android:enabled="false"
            android:editable="true"
            android:clickable="false" />
    </RelativeLayout>
    <RelativeLayout
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:layout_marginTop="@dimen/activity_vertical_margin">
        <TextView
            android:id="@+id/DETAILS_address_label"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:text="地址:"
            android:textColor="#000"
            android:textSize="16sp"
            android:singleLine="true"
            android:layout_centerVertical="true" />
        <EditText
            android:id="@+id/DETAILS_address"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_toRightOf="@+id/DETAILS_address_label"
            android:layout_marginLeft="@dimen/activity_horizontal_margin"
            android:text="乌鲁木齐市沙依巴克区农大东路311号"
            android:textColor="#9f9f9f"
            android:textSize="16sp"
            android:clickable="false"
            android:editable="true"
            android:enabled="false"
            android:inputType="text" />
    </RelativeLayout>

        <RelativeLayout
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            android:layout_marginTop="@dimen/activity_vertical_margin"
            android:layout_gravity="center_horizontal">

            <TextView
                android:id="@+id/textView"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:text="颜色:"
                android:textColor="#000"
                android:textSize="16sp"
                android:singleLine="true"
                android:layout_centerVertical="true" />

            <EditText
                android:id="@+id/color"
                android:layout_width="200sp"
                android:layout_height="wrap_content"
                android:layout_toRightOf="@+id/textView"
                android:layout_marginLeft="@dimen/activity_horizontal_margin"
                android:textColor="#9f9f9f"
                android:textSize="16sp"
                android:clickable="false"
                android:editable="true"
                android:enabled="false"
                android:inputType="text"
                android:layout_centerVertical="true"
                android:background="#ce3b3b" />
            <Button
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:text="拾取颜色"
                android:id="@+id/pickColorButton"
                android:layout_alignParentTop="false"
                android:layout_alignParentRight="false"
                android:layout_alignParentEnd="true"
                android:layout_centerVertical="true"
                android:visibility="invisible" />
        </RelativeLayout>
    </LinearLayout>
</LinearLayout>